# Rally Rush: godot::ExitDoor Class Reference

Loading...
Searching...
No Matches
godot::ExitDoor Class Reference

Listener for the all_keys_found Observer. Plays the "open" animation when the observer is broadcast. More...

`#include <exit_door.hpp>`

Inheritance diagram for godot::ExitDoor:

## Public Member Functions

virtual void | _enter_tree () override
| Fetch animation player and connect to all_keys_found observer of RallyRushGameMode.
void | all_keys_found ()
| Listener for all_keys_found.

## Private Member Functions

| GDCLASS (ExitDoor, Node3D)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Private Attributes

AnimationPlayer * | player {nullptr}

## Detailed Description

Listener for the all_keys_found Observer. Plays the "open" animation when the observer is broadcast.

## Member Function Documentation

## _bind_methods()

void godot::ExitDoor::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::ExitDoor::_enter_tree | ( |  | ) |

overridevirtual

Fetch animation player and connect to all_keys_found observer of RallyRushGameMode.

## all_keys_found()

void godot::ExitDoor::all_keys_found | ( |  | ) |

Listener for all_keys_found.

## GDCLASS()

godot::ExitDoor::GDCLASS | ( | ExitDoor | ,
|  | Node3D |
| ) |  |

private

## Member Data Documentation

## player

AnimationPlayer* godot::ExitDoor::player {nullptr}

private

The documentation for this class was generated from the following files:

- src/exit_door.hpp
- src/exit_door.cpp